const encodingUtil = (() => {

    /**
     * 根据编码方式获取编码数据
     * @param {Array} source - 字符串集合数据源
     * @param {String} encoding - 编码方式
     */
    async function getEncodedData(source, encoding, toBase64 = false) {
        return await ajaxPost('/project/getEncodedData', { source, encoding, toBase64 });
    }

    return { getEncodedData }
})();